M = 100;
N = 100;
T = 15;
images = zeros(M+1,N+1,T);
F = zeros(1,T);
Fv = zeros(1,T);
Fm = zeros(1,T);

% adjust cropping
images(:,:,1) = i01(450:(450+N),690:(690+M),1);
images(:,:,2) = i02(450:(450+N),700:(700+M),1);
images(:,:,3) = i03(450:(450+N),700:(700+M),1);
images(:,:,4) = i04(450:(450+N),700:(700+M),1);
images(:,:,5) = i05(450:(450+N),700:(700+M),1);
images(:,:,6) = i06(450:(450+N),700:(700+M),1);
images(:,:,7) = i07(450:(450+N),700:(700+M),1);
images(:,:,8) = i08(450:(450+N),695:(695+M),1);
images(:,:,9) = i09(450:(450+N),700:(700+M),1);
images(:,:,10) = i10(450:(450+N),700:(700+M),1);
images(:,:,11) = i11(450:(450+N),700:(700+M),1);
images(:,:,12) = i12(450:(450+N),700:(700+M),1);
images(:,:,13) = i13(450:(450+N),710:(710+M),1);
images(:,:,14) = i14(450:(450+N),700:(700+M),1);
images(:,:,15) = i15(450:(450+N),700:(700+M),1);

% Yeah, could be faster vectorized
for im=1:T
  gbar = mean(mean(images(:,:,im)));
  for j=1:N
    for i=1:(M-1)
      F(im) = F(im) + images(i,j,im)*images(i+1,j,im);
    end
  end
  F(im) = F(im) - N*M*gbar^2;
end

for im=1:T
  gbar = mean(mean(images(:,:,im)));
  for j=1:N
    for i=1:M
      Fv(im) = Fv(im) + (images(i,j,im)-gbar)^2;
    end
  end
end

Om = [ 1 1 -1 -1; 1 1 -1 -1; -1 -1 1 1; -1 -1 1 1];
for im=1:T
  for j=2:(N-2)
    for i=2:(M-2)
      Fm(im) = Fm(im) + mean(mean((images((i-1):i+2,(j-1):(j+2),im).*Om))).^2;
    end
  end
end
